Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 187735 - [69cat] IllegalArgumentException: the value should be from 0 to 100
[69cat] IllegalArgumentException: the value should be from 0 to 100
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Terminalemulator
6.x
All All
: P3 (vote)
: TBD
Assigned To: ivan
ivan
EXCEPTIONS_REPORT 69patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-17 14:24 UTC by esmithbss
Modified: 2010-07-07 13:45 UTC (History)
6 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (4.54 KB, text/plain)
2010-06-17 14:24 UTC, esmithbss
Details

Note You need to log in before you can comment on or make changes to this bug.
Description esmithbss 2010-06-17 14:24:46 UTC
Build: NetBeans IDE Dev (Build 201006130001)
VM: Java HotSpot(TM) Client VM, 16.3-b01, Java(TM) SE Runtime Environment, 1.6.0_20-b02
OS: Windows XP

User Comments:
paolosca: Options .> Miscellaneous -> Terminal tab:
Clicked on font selection button [...], a dialog window popped up saying somethink like "building font list" or "loading font list" while it was working I got this error.
Now every time I click on the font selection dialog button [...] I get the error immediately without the "loading font list" dialog.

cristian_radulescu: Options - change terminal font (during font check)

esmithbss: Opening the font selection dialog for the Terminal from the Options dialog box.

GUEST: try to set the font in terminal emulator options

GUEST: try to set font in terminal emulator




Stacktrace: 
java.lang.IllegalArgumentException: the value should be from 0 to 100
   at javax.swing.SwingWorker.setProgress(SwingWorker.java:465)
   at org.netbeans.lib.terminalemulator.support.FontPanel$GetFontsWorker.doInBackground(FontPanel.java:226)
   at org.netbeans.lib.terminalemulator.support.FontPanel$GetFontsWorker.doInBackground(FontPanel.java:165)
   at javax.swing.SwingWorker$1.call(SwingWorker.java:277)
   at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:303)
   at java.util.concurrent.FutureTask.run(FutureTask.java:138)
Comment 1 esmithbss 2010-06-17 14:24:49 UTC
Created attachment 100172 [details]
stacktrace
Comment 2 ivan 2010-06-22 03:43:23 UTC
Need to scale argument to setProgress() to be from 0 to 100.
Using sample in SwingWorker javadoc.
Comment 3 ivan 2010-06-22 20:06:58 UTC
I'd like to nominate this for 6.9.1 based on the
fact thatit came from cat and has 4 cc's.
Comment 4 Alexander Pepin 2010-06-23 13:15:36 UTC
I agree to nominate this bug for 6.9.1. Ivan, please fix it ASAP.
Comment 6 Quality Engineering 2010-06-24 03:33:13 UTC
Integrated into 'main-golden', will be available in build *201006240001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/ee9af372e3c2
User: ivan@netbeans.org
Log: fix for bug #187735 -  [69cat] IllegalArgumentException: the value should be from 0 to 100
Comment 7 Alexander Pepin 2010-06-24 13:28:59 UTC
verified in trunk build 20100624
Comment 8 rbalada 2010-06-24 22:15:38 UTC
main #ee9af372e3c2 transplanted to release691 #152543ca3993
Comment 9 dnikitin 2010-07-07 13:45:43 UTC
Verified in NetBeans IDE 6.9.1 Dev (Build 201007062301)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo